Package: org.codehaus.groovy.control

## [Java] Class ProcessingUnit

- org.codehaus.groovy.control.ProcessingUnit

-     public abstract class ProcessingUnit
      extends Object

  A base class for data structures that can collect messages and errors during processing.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ProcessingUnit(CompilerConfiguration configuration, GroovyClassLoader classLoader, ErrorCollector errorCollector)` Initializes the ProcessingUnit to the empty state.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `completePhase()` Marks the current phase complete and processes any errors.
    `` | `public void` | `configure(CompilerConfiguration configuration)` Reconfigures the ProcessingUnit.
    `` | `public GroovyClassLoader` | `getClassLoader()` Returns the class loader in use by this ProcessingUnit.
    `` | `public CompilerConfiguration` | `getConfiguration()` Gets the CompilerConfiguration for this ProcessingUnit.
    `` | `public ErrorCollector` | `getErrorCollector()` Errors found during the compilation should be reported through the ErrorCollector.
    `` | `public int` | `getPhase()` Returns the current phase.
    `` | `public String` | `getPhaseDescription()` Returns the description for the current phase.
    `` | `public void` | `gotoPhase(int phase)` Wraps up any pending operations for the current phase and switches to the given phase.
    `` | `public boolean` | `isPhaseComplete()`
    `` | `public void` | `nextPhase()` A synonym for `gotoPhase(getPhase() + 1)`.
    `` | `public void` | `setClassLoader(GroovyClassLoader loader)` Sets the class loader for use by this ProcessingUnit.
    `` | `public final void` | `setConfiguration(CompilerConfiguration configuration)` Sets the CompilerConfiguration for this ProcessingUnit.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ProcessingUnit(CompilerConfiguration configuration, GroovyClassLoader classLoader, ErrorCollector errorCollector)

      Initializes the ProcessingUnit to the empty state.

  - ### Method Detail

    - #### public void completePhase()

      Marks the current phase complete and processes any errors.

    - #### public void configure(CompilerConfiguration configuration)

      Reconfigures the ProcessingUnit.

    - #### public GroovyClassLoader getClassLoader()

      Returns the class loader in use by this ProcessingUnit.

    - #### public CompilerConfiguration getConfiguration()

      Gets the CompilerConfiguration for this ProcessingUnit.

    - #### public ErrorCollector getErrorCollector()

      Errors found during the compilation should be reported through the ErrorCollector.

    - #### public int getPhase()

      Returns the current phase.

    - #### public String getPhaseDescription()

      Returns the description for the current phase.

    - #### public void gotoPhase(int phase)

      Wraps up any pending operations for the current phase and switches to the given phase.

    - #### public boolean isPhaseComplete()

    - #### public void nextPhase()

      A synonym for `gotoPhase(getPhase() + 1)`.

    - #### public void setClassLoader(GroovyClassLoader loader)

      Sets the class loader for use by this ProcessingUnit.

    - #### public final void setConfiguration(CompilerConfiguration configuration)

      Sets the CompilerConfiguration for this ProcessingUnit.